Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActClassRootMember7

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActClassRootMember7

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActClassRootMember7

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Class Root Member7', and utility methods for working with them.

See Also:
  `CDAR2Package.getActClassRootMember7()`

Field Summary
`static int` | `ACCM` The 'ACCM' literal value.
`static ActClassRootMember7` | `ACCM_LITERAL` The 'ACCM' literal object.
`static int` | `ACCT` The 'ACCT' literal value.
`static ActClassRootMember7` | `ACCT_LITERAL` The 'ACCT' literal object.
`static int` | `ACSN` The 'ACSN' literal value.
`static ActClassRootMember7` | `ACSN_LITERAL` The 'ACSN' literal object.
`static int` | `ACT` The 'ACT' literal value.
`static ActClassRootMember7` | `ACT_LITERAL` The 'ACT' literal object.
`static int` | `ADJUD` The 'ADJUD' literal value.
`static ActClassRootMember7` | `ADJUD_LITERAL` The 'ADJUD' literal object.
`static int` | `CONS` The 'CONS' literal value.
`static ActClassRootMember7` | `CONS_LITERAL` The 'CONS' literal object.
`static int` | `CONTREG` The 'CONTREG' literal value.
`static ActClassRootMember7` | `CONTREG_LITERAL` The 'CONTREG' literal object.
`static int` | `CTTEVENT` The 'CTTEVENT' literal value.
`static ActClassRootMember7` | `CTTEVENT_LITERAL` The 'CTTEVENT' literal object.
`static int` | `DISPACT` The 'DISPACT' literal value.
`static ActClassRootMember7` | `DISPACT_LITERAL` The 'DISPACT' literal object.
`static int` | `ENC` The 'ENC' literal value.
`static ActClassRootMember7` | `ENC_LITERAL` The 'ENC' literal object.
`static int` | `INC` The 'INC' literal value.
`static ActClassRootMember7` | `INC_LITERAL` The 'INC' literal object.
`static int` | `INFRM` The 'INFRM' literal value.
`static ActClassRootMember7` | `INFRM_LITERAL` The 'INFRM' literal object.
`static int` | `INVE` The 'INVE' literal value.
`static ActClassRootMember7` | `INVE_LITERAL` The 'INVE' literal object.
`static int` | `LIST` The 'LIST' literal value.
`static ActClassRootMember7` | `LIST_LITERAL` The 'LIST' literal object.
`static int` | `MPROT` The 'MPROT' literal value.
`static ActClassRootMember7` | `MPROT_LITERAL` The 'MPROT' literal object.
`static int` | `PCPR` The 'PCPR' literal value.
`static ActClassRootMember7` | `PCPR_LITERAL` The 'PCPR' literal object.
`static int` | `PROC` The 'PROC' literal value.
`static ActClassRootMember7` | `PROC_LITERAL` The 'PROC' literal object.
`static int` | `REG` The 'REG' literal value.
`static ActClassRootMember7` | `REG_LITERAL` The 'REG' literal object.
`static int` | `REV` The 'REV' literal value.
`static ActClassRootMember7` | `REV_LITERAL` The 'REV' literal object.
`static int` | `SBADM` The 'SBADM' literal value.
`static ActClassRootMember7` | `SBADM_LITERAL` The 'SBADM' literal object.
`static int` | `SPCTRT` The 'SPCTRT' literal value.
`static ActClassRootMember7` | `SPCTRT_LITERAL` The 'SPCTRT' literal object.
`static int` | `SUBST` The 'SUBST' literal value.
`static ActClassRootMember7` | `SUBST_LITERAL` The 'SUBST' literal object.
`static int` | `TRNS` The 'TRNS' literal value.
`static ActClassRootMember7` | `TRNS_LITERAL` The 'TRNS' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Class Root Member7' enumerators.
`static int` | `VERIF` The 'VERIF' literal value.
`static ActClassRootMember7` | `VERIF_LITERAL` The 'VERIF' literal object.
`static int` | `XACT` The 'XACT' literal value.
`static ActClassRootMember7` | `XACT_LITERAL` The 'XACT' literal object.

Method Summary
`static ActClassRootMember7` | `get(int value)` Returns the 'Act Class Root Member7' literal with the specified integer value.
`static ActClassRootMember7` | `get(java.lang.String literal)` Returns the 'Act Class Root Member7' literal with the specified literal value.
`static ActClassRootMember7` | `getByName(java.lang.String name)` Returns the 'Act Class Root Member7' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ACT

    public static final int ACT

  The 'ACT' literal value.

  If the meaning of 'ACT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACT_LITERAL`, Constant Field Values

### ACCM

    public static final int ACCM

  The 'ACCM' literal value.

  If the meaning of 'ACCM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACCM_LITERAL`, Constant Field Values

### ACCT

    public static final int ACCT

  The 'ACCT' literal value.

  If the meaning of 'ACCT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACCT_LITERAL`, Constant Field Values

### ACSN

    public static final int ACSN

  The 'ACSN' literal value.

  If the meaning of 'ACSN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ACSN_LITERAL`, Constant Field Values

### ADJUD

    public static final int ADJUD

  The 'ADJUD' literal value.

  If the meaning of 'ADJUD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ADJUD_LITERAL`, Constant Field Values

### CONS

    public static final int CONS

  The 'CONS' literal value.

  If the meaning of 'CONS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONS_LITERAL`, Constant Field Values

### CONTREG

    public static final int CONTREG

  The 'CONTREG' literal value.

  If the meaning of 'CONTREG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONTREG_LITERAL`, Constant Field Values

### CTTEVENT

    public static final int CTTEVENT

  The 'CTTEVENT' literal value.

  If the meaning of 'CTTEVENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CTTEVENT_LITERAL`, Constant Field Values

### DISPACT

    public static final int DISPACT

  The 'DISPACT' literal value.

  If the meaning of 'DISPACT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DISPACT_LITERAL`, Constant Field Values

### ENC

    public static final int ENC

  The 'ENC' literal value.

  If the meaning of 'ENC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ENC_LITERAL`, Constant Field Values

### INC

    public static final int INC

  The 'INC' literal value.

  If the meaning of 'INC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INC_LITERAL`, Constant Field Values

### INFRM

    public static final int INFRM

  The 'INFRM' literal value.

  If the meaning of 'INFRM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INFRM_LITERAL`, Constant Field Values

### INVE

    public static final int INVE

  The 'INVE' literal value.

  If the meaning of 'INVE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INVE_LITERAL`, Constant Field Values

### LIST

    public static final int LIST

  The 'LIST' literal value.

  If the meaning of 'LIST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LIST_LITERAL`, Constant Field Values

### MPROT

    public static final int MPROT

  The 'MPROT' literal value.

  If the meaning of 'MPROT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MPROT_LITERAL`, Constant Field Values

### PCPR

    public static final int PCPR

  The 'PCPR' literal value.

  If the meaning of 'PCPR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PCPR_LITERAL`, Constant Field Values

### PROC

    public static final int PROC

  The 'PROC' literal value.

  If the meaning of 'PROC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROC_LITERAL`, Constant Field Values

### REG

    public static final int REG

  The 'REG' literal value.

  If the meaning of 'REG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REG_LITERAL`, Constant Field Values

### REV

    public static final int REV

  The 'REV' literal value.

  If the meaning of 'REV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REV_LITERAL`, Constant Field Values

### SBADM

    public static final int SBADM

  The 'SBADM' literal value.

  If the meaning of 'SBADM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SBADM_LITERAL`, Constant Field Values

### SPCTRT

    public static final int SPCTRT

  The 'SPCTRT' literal value.

  If the meaning of 'SPCTRT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SPCTRT_LITERAL`, Constant Field Values

### SUBST

    public static final int SUBST

  The 'SUBST' literal value.

  If the meaning of 'SUBST' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUBST_LITERAL`, Constant Field Values

### TRNS

    public static final int TRNS

  The 'TRNS' literal value.

  If the meaning of 'TRNS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TRNS_LITERAL`, Constant Field Values

### VERIF

    public static final int VERIF

  The 'VERIF' literal value.

  If the meaning of 'VERIF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `VERIF_LITERAL`, Constant Field Values

### XACT

    public static final int XACT

  The 'XACT' literal value.

  If the meaning of 'XACT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `XACT_LITERAL`, Constant Field Values

### ACT_LITERAL

    public static final ActClassRootMember7 ACT_LITERAL

  The 'ACT' literal object.

  See Also:
    `ACT`

### ACCM_LITERAL

    public static final ActClassRootMember7 ACCM_LITERAL

  The 'ACCM' literal object.

  See Also:
    `ACCM`

### ACCT_LITERAL

    public static final ActClassRootMember7 ACCT_LITERAL

  The 'ACCT' literal object.

  See Also:
    `ACCT`

### ACSN_LITERAL

    public static final ActClassRootMember7 ACSN_LITERAL

  The 'ACSN' literal object.

  See Also:
    `ACSN`

### ADJUD_LITERAL

    public static final ActClassRootMember7 ADJUD_LITERAL

  The 'ADJUD' literal object.

  See Also:
    `ADJUD`

### CONS_LITERAL

    public static final ActClassRootMember7 CONS_LITERAL

  The 'CONS' literal object.

  See Also:
    `CONS`

### CONTREG_LITERAL

    public static final ActClassRootMember7 CONTREG_LITERAL

  The 'CONTREG' literal object.

  See Also:
    `CONTREG`

### CTTEVENT_LITERAL

    public static final ActClassRootMember7 CTTEVENT_LITERAL

  The 'CTTEVENT' literal object.

  See Also:
    `CTTEVENT`

### DISPACT_LITERAL

    public static final ActClassRootMember7 DISPACT_LITERAL

  The 'DISPACT' literal object.

  See Also:
    `DISPACT`

### ENC_LITERAL

    public static final ActClassRootMember7 ENC_LITERAL

  The 'ENC' literal object.

  See Also:
    `ENC`

### INC_LITERAL

    public static final ActClassRootMember7 INC_LITERAL

  The 'INC' literal object.

  See Also:
    `INC`

### INFRM_LITERAL

    public static final ActClassRootMember7 INFRM_LITERAL

  The 'INFRM' literal object.

  See Also:
    `INFRM`

### INVE_LITERAL

    public static final ActClassRootMember7 INVE_LITERAL

  The 'INVE' literal object.

  See Also:
    `INVE`

### LIST_LITERAL

    public static final ActClassRootMember7 LIST_LITERAL

  The 'LIST' literal object.

  See Also:
    `LIST`

### MPROT_LITERAL

    public static final ActClassRootMember7 MPROT_LITERAL

  The 'MPROT' literal object.

  See Also:
    `MPROT`

### PCPR_LITERAL

    public static final ActClassRootMember7 PCPR_LITERAL

  The 'PCPR' literal object.

  See Also:
    `PCPR`

### PROC_LITERAL

    public static final ActClassRootMember7 PROC_LITERAL

  The 'PROC' literal object.

  See Also:
    `PROC`

### REG_LITERAL

    public static final ActClassRootMember7 REG_LITERAL

  The 'REG' literal object.

  See Also:
    `REG`

### REV_LITERAL

    public static final ActClassRootMember7 REV_LITERAL

  The 'REV' literal object.

  See Also:
    `REV`

### SBADM_LITERAL

    public static final ActClassRootMember7 SBADM_LITERAL

  The 'SBADM' literal object.

  See Also:
    `SBADM`

### SPCTRT_LITERAL

    public static final ActClassRootMember7 SPCTRT_LITERAL

  The 'SPCTRT' literal object.

  See Also:
    `SPCTRT`

### SUBST_LITERAL

    public static final ActClassRootMember7 SUBST_LITERAL

  The 'SUBST' literal object.

  See Also:
    `SUBST`

### TRNS_LITERAL

    public static final ActClassRootMember7 TRNS_LITERAL

  The 'TRNS' literal object.

  See Also:
    `TRNS`

### VERIF_LITERAL

    public static final ActClassRootMember7 VERIF_LITERAL

  The 'VERIF' literal object.

  See Also:
    `VERIF`

### XACT_LITERAL

    public static final ActClassRootMember7 XACT_LITERAL

  The 'XACT' literal object.

  See Also:
    `XACT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Class Root Member7' enumerators.

Method Detail

### get

    public static ActClassRootMember7 get(java.lang.String literal)

  Returns the 'Act Class Root Member7' literal with the specified literal value.

### getByName

    public static ActClassRootMember7 getByName(java.lang.String name)

  Returns the 'Act Class Root Member7' literal with the specified name.

### get

    public static ActClassRootMember7 get(int value)

  Returns the 'Act Class Root Member7' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD